export var procedimientos = {
  p_traer_registros_consulta_principal: {
    parametros: {
      campos: (nombreTabla, nombreCampo, tablaRegistros = true) => {

        let campos = null;
      
        switch (nombreTabla) {
      
          case 'entidades':
            campos = `
              id_${nombreCampo} AS id_${nombreCampo},
              dbo.f_nombre_entidad(id_${nombreCampo}) AS ${nombreCampo}
            `;
          break;

          case 'usuarios':
            campos = `
              id_${nombreCampo.replace('_asignado', '')} AS id_${nombreCampo},
              ${nombreCampo.replace('_asignado', '')} AS ${nombreCampo}
            `;
          break;

          case 'clientes':
            campos = `
              id_${nombreCampo} AS id_${nombreCampo},
              dbo.f_nombre_entidad(id_entidad) AS ${nombreCampo}
            `;
          break;

          case 'nominas':
            campos = `
              id_${nombreCampo} AS id_${nombreCampo},
              CONCAT(FORMAT(fecha_inicial, 'dd/MM/yyyy'), ' AL ', FORMAT(fecha_final, 'dd/MM/yyyy')) AS ${nombreCampo}
            `;
          break;
      
          default:
            campos = `
              id_${nombreCampo} AS id_${nombreCampo},
              ${nombreCampo} AS ${nombreCampo}
            `
          break;
      
        }

        return tablaRegistros
          ? campos
            .replace(`AS id_${nombreCampo}`, 'AS id')
            .replace(`AS ${nombreCampo}`, 'AS registro')
            .trim()
          : campos.trim()
      
      },
      sql: (nombreTabla, nombreCampo) => {

        let sql = null;
      
        switch (nombreTabla) {

          case 'clientes':
            sql = ``
          break;

          default:
            sql = `
              ${nombreCampo} LIKE '%${$('#ventanaDialogoConsulta #campoConsulta').val()}%'
            `
          break;

        }

        return sql.trim()

      },
    }
  }
}